#pragma once


namespace geom
{


// シーケンスのトランスフォーム
class SeqTrans
{
public:
	SeqTrans(void)
	{
		m_KeyIdxOffset = 0;
	}

	bool HasKey(void) const;

	int GetNumframes(void) const;

	lm::matrix4f GetTransform(int frame) const;

	void Clear(void);

public:
	std::vector<lm::vec3f>  m_Translate;
	std::vector<lm::quat4f> m_Rotate;
	std::vector<lm::vec3f>  m_Scale;

	int m_KeyIdxOffset;
};


};
